# Repository for Linux stuff used mostly (but not only) for FPGA IoT uses cases

## <ins>Supported boards</ins>
* DE0 Nano SoC board: https://www.terasic.com.tw/cgi-bin/page/archive.pl?Language=English&CategoryNo=167&No=941
* Arria10 SoC DevKit board: https://www.intel.com/content/www/us/en/products/details/fpga/development-kits/arria/10-sx.html

## <ins>Steps</ins>
#### 1. Clone project repository:

    git clone git@git.pg.edu.pl:ksti-projekty-grupowe-fpga/yocto.git

#### 2. Go to cloned repository:

    cd yocto

#### 3. Select the appropriate branch depending on the board:

a. DE0 Nano SoC board:

    git checkout de0-nano-soc

b. Arria10 SoC DevKit board: 

    git checkout arria10

